Ruby: rb_method_definition_struct Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Public Member Functions | Data Fields
rb_method_definition_struct Struct Reference

`#include <method.h>`

## Public Member Functions
| BITFIELD (rb_method_type_t, type, VM_METHOD_TYPE_MINIMUM_BITS)

## Data Fields
int | alias_count: 28
int | complemented_count: 28
unsigned int | no_redef_warning: 1
union {
rb_method_iseq_t iseq
rb_method_cfunc_t cfunc
rb_method_attr_t attr
rb_method_alias_t alias
rb_method_refined_t refined
rb_method_bmethod_t bmethod
enum method_optimized_type optimize_type
} | body
ID | original_id
uintptr_t | method_serial

## Detailed Description

Definition at line 172 of file method.h.

## Member Function Documentation

## ◆ BITFIELD()

rb_method_definition_struct::BITFIELD | ( | rb_method_type_t | ,
|  | type | ,
|  | VM_METHOD_TYPE_MINIMUM_BITS |
| ) |  |

## Field Documentation

## ◆ alias

rb_method_alias_t rb_method_definition_struct::alias

Definition at line 182 of file method.h.

Referenced by rb_resolve_me_location().

## ◆ alias_count

int rb_method_definition_struct::alias_count

Definition at line 174 of file method.h.

Referenced by rb_raw_obj_info().

## ◆ attr

rb_method_attr_t rb_method_definition_struct::attr

Definition at line 181 of file method.h.

Referenced by rb_method_definition_eq().

## ◆ bmethod

rb_method_bmethod_t rb_method_definition_struct::bmethod

Definition at line 184 of file method.h.

Referenced by rb_method_definition_eq(), and rb_resolve_me_location().

## ◆

union { ... } rb_method_definition_struct::body

Referenced by rb_method_definition_eq(), rb_raw_obj_info(), and rb_resolve_me_location().

## ◆ cfunc

rb_method_cfunc_t rb_method_definition_struct::cfunc

Definition at line 180 of file method.h.

Referenced by rb_method_definition_eq().

## ◆ complemented_count

int rb_method_definition_struct::complemented_count

Definition at line 175 of file method.h.

## ◆ iseq

rb_method_iseq_t rb_method_definition_struct::iseq

Definition at line 179 of file method.h.

Referenced by rb_method_definition_eq(), rb_raw_obj_info(), and rb_resolve_me_location().

## ◆ method_serial

uintptr_t rb_method_definition_struct::method_serial

Definition at line 190 of file method.h.

## ◆ no_redef_warning

unsigned int rb_method_definition_struct::no_redef_warning

Definition at line 176 of file method.h.

## ◆ optimize_type

enum method_optimized_type rb_method_definition_struct::optimize_type

Definition at line 186 of file method.h.

Referenced by rb_method_definition_eq().

## ◆ original_id

ID rb_method_definition_struct::original_id

Definition at line 189 of file method.h.

Referenced by rb_alias(), rb_method_definition_eq(), rb_profile_frame_full_label(), rb_profile_frame_method_name(), rb_raise_jump(), rb_vm_control_frame_id_and_class(), and rb_vm_pop_cfunc_frame().

## ◆ refined

rb_method_refined_t rb_method_definition_struct::refined

Definition at line 183 of file method.h.

Referenced by rb_resolve_me_location().

The documentation for this struct was generated from the following file:

- method.h